Common

Folder Update

PUT
/common/folder/{folderId}/update

Updates the properties (such as the Name) of an existing folder.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

folderId*string

The unique identifier (GUID) of the folder to update.

Request Body

application/json

The folder object containing updated values.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/common/folder/string/update" \  -H "Content-Type: application/json" \  -d '{    "folder": {      "name": "Q3 Financial Contracts (renamed)"    }  }'
{  "folder": {    "id": "123e4567-e89b-12d3-a456-426614174000",    "message": "Folder saved."  }}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "PUT https://api.doctavian.com/v1/common/folder/{folderId}/update",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "89025805-de37-47a7-9036-69367976a816",  "operationId": "3d79df1d925a454c9bc66329971e44da"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 500,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "PUT https://api.doctavian.com/v1/common/folder/{folderId}/update",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "ca77d6f6-4941-4c12-b1de-eedb52a562c8",  "operationId": "66960b7aea82243bc430e2fd72be3e24"}